
Redmine - Defect #20392

Error: nil:NilClass - Error querying any task of a specific project.

2015-07-22 17:05 - Adriano Ceccarelli

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Error

Error querying any task of a specific project.

Was closed, reopen it and the error persisted.

Production.log

  Rendered issues/show.html.erb within layouts/base (1316.7ms)

Completed 500 Internal Server Error in 1602.3ms

ActionView::Template::Error (undefined method `project' for nil:NilClass):

    1: <% changesets.each do |changeset| %>

    2:     <div class="changeset <%= cycle('odd', 'even') %>">

    3:     <p><%= link_to_revision(changeset, changeset.repository,

    4:                             :text => "#{l(:label_revision)} #{changeset.format_identifier}"

) %><br />

    5:         <span class="author"><%= authoring(changeset.committed_on, changeset.author) %></sp

an></p>

    6:     <div class="wiki">

  app/helpers/application_helper.rb:113:in `link_to_revision'

  app/views/issues/_changesets.html.erb:3:in `block in _app_views_issues__changesets_html_erb__387

8030136385139792_67352140'

  app/views/issues/_changesets.html.erb:1:in `each'

  app/views/issues/_changesets.html.erb:1:in `_app_views_issues__changesets_html_erb__387803013638

5139792_67352140'

  app/views/issues/show.html.erb:113:in `_app_views_issues_show_html_erb__989878426512223363_35076

440'

  app/controllers/issues_controller.rb:128:in `block (2 levels) in show'

  app/controllers/issues_controller.rb:125:in `show'

 

Environment

Environment:

  Redmine version                2.6.1.stable

  Ruby version                   1.9.3-p194 (2012-04-20) [x86_64-linux]

  Rails version                  3.2.21

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.17

  Git                            1.7.10.4

  Filesystem

Redmine plugins:

  a_common_libs                  1.1.3

  custom_menu                    1.0.0

  parent_issue_filter            1.0.1

  redmine_auto_percent           0.0.1

  redmine_custom_reports         0.1.4

  redmine_daily_scrum            0.0.1
  redmine_documents              1.0.0

  redmine_drafts                 0.2.0

  redmine_impasse                1.2.2

  redmine_importer               1.2.2

  redmine_issue_history_tabs     0.0.3

  redmine_issue_templates        0.0.9

  redmine_issue_templates_notes  2.0.0

  redmine_issue_wiki_journal     0.9.0

  redmine_meeting_room_calendar  2.1.3

  redmine_percent_done_configuration 0.1.23x

  redmine_pivot_table            0.0.2

  redmine_questions              0.0.5

  redmine_send_mails             0.3.23xBeta

  redmine_spent_time             2.6.6

  redmine_tags                   2.1.0

  redmine_time_tracker           0.4

  redmine_wiki_extensions        0.6.5

  redmine_wiki_lists             0.0.5

  redmine_wiki_templates         0.1.1

  redmine_workload               0.0.1

  sidebar_hide                   0.0.7

History

#1 - 2015-07-22 18:27 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Priority changed from Urgent to Normal

There is no useful log. Please post more logs.

Redmine version                2.6.1.stable

 Why do not use latest 2.6-stable?

Ruby version                   1.9.3-p194 (2012-04-20) [x86_64-linux]

 Too old.

#2 - 2015-07-22 18:53 - Adriano Ceccarelli

I'm using version because this version is compatible with of the plugins.

To update the version of redmine, i need to schedule in my organization to converter to the new version.

Thanks by help.

Completed 200 OK in 26.4ms (Views: 21.4ms | ActiveRecord: 1.3ms)

Started GET "/redmine/issues/36553" for 192.168.16.148 at 2015-07-22 13:47:25 -0300

Processing by IssuesController#show as HTML

  Parameters: {"id"=>"36553"}

  Current user: adriano.cinto (id=4)

  Rendered issues/_action_menu.html.erb (3.7ms)

  Rendered plugins/redmine_drafts/app/views/drafts/_issue_show.html.erb (1.2ms)

  Rendered plugins/redmine_tags/app/views/issues/_tags.html.erb (2.0ms)

  Rendered issue_relations/_form.html.erb (2.1ms)

  Rendered issues/_relations.html.erb (8.0ms)

  Rendered issues/_changesets.html.erb (1175.2ms)

  Rendered issues/show.html.erb within layouts/base (1385.2ms)

Completed 500 Internal Server Error in 1815.8ms

ActionView::Template::Error (undefined method `project' for nil:NilClass):

    1: <% changesets.each do |changeset| %>

    2:     <div class="changeset <%= cycle('odd', 'even') %>">

    3:     <p><%= link_to_revision(changeset, changeset.repository,

    4:                             :text => "#{l(:label_revision)} #{changeset.format_identifier}") %><br />

    5:         <span class="author"><%= authoring(changeset.committed_on, changeset.author) %></span></p>

    6:     <div class="wiki">

  app/helpers/application_helper.rb:113:in `link_to_revision'

  app/views/issues/_changesets.html.erb:3:in `block in _app_views_issues__changesets_html_erb__387803013638513

9792_69181620'
  app/views/issues/_changesets.html.erb:1:in `each'

  app/views/issues/_changesets.html.erb:1:in `_app_views_issues__changesets_html_erb__3878030136385139792_6918

1620'

  app/views/issues/show.html.erb:113:in `_app_views_issues_show_html_erb__989878426512223363_28209420'

  app/controllers/issues_controller.rb:128:in `block (2 levels) in show'

  app/controllers/issues_controller.rb:125:in `show'

#3 - 2015-07-22 18:55 - Adriano Ceccarelli

I'm suspicious of the repo that was removed.

#4 - 2015-07-23 14:12 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce

Log says "repository" is nil.

It never happens on clean Redmine.

It seems your plugins override it or database is broken.

Try without plugin and reopen if you sure Redmine core problem.

#5 - 2015-07-23 14:13 - Toshi MARUYAMA

Toshi MARUYAMA wrote:

Log says "repository" is nil.

 This line.

source:tags/2.6.1/app/helpers/application_helper.rb#L113
